#define UNICODE

#include <accctrl.h>
#include <iaccess.h>

class  CAccessControl : public IAccessControl
{
    protected:
        ULONG           m_RefCount;
          

    public:
        CAccessControl(void);
        ~CAccessControl(void);

        //IUnknown members
        STDMETHODIMP         QueryInterface(REFIID, LPVOID*);
        STDMETHODIMP_(ULONG) AddRef(void);
        STDMETHODIMP_(ULONG) Release(void);

};


